Subject: Re: [bug#50751] [PATCH 1/2] gnu: python-trezor-agent: Fix key generation with trezor-gpg init

From: Nicolas Goaziou <[email-masked]>
Date: Wed, 01 Dec 2021 16:34:20 +0100

Hello,

Attila Lendvai <[email-masked]> writes:

> ouch, i already had a newer version of the patchset locally.
> i reported an issue upstream, and they got rid of the argv[0] usage,
> and also made a new release.

It happens.
>
> i was already testing it locally but then life happened before i could
> send it. i have sent the new patchset now:
> https://issues.guix.gnu.org/52207

Great.

> re splitting the commit: i don't think it's a good idea, mostly due to
> git bisect: pushing commits that may not even compile can make
> someone's life much harder down the road. i think updating tightly
> interdependent packages should happen in one commit, so that each git
> commit leaves the repo in a functional state, and so that it can
> compile and run the test suite.
>
> but in spite of the above, i have sent the new patchset as separate
> commits.

I overlooked the fact that packages were interdependent, which is pretty
obvious now you mention it. In that case, I agree splitting the commit
was not a good idea.

So... could you send the new patchset again in a single commit?

Thanks,

Regards,
-- 
Nicolas Goaziou